Package be.fgov.ehealth.hubservices.core.v3

# Class ResponseListType

java.lang.Object
be.fgov.ehealth.hubservices.core.v3.ResponseListType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:13:03+02:00", comments="JAXB RI v4.0.5") public class ResponseListType extends Object implements Serializable

Java class for ResponseListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ResponseListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="id" type="{http://www.ehealth.fgov.be/standards/kmehr/id/v1}ID-KMEHR"/>
             <element name="author" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}authorType"/>
             <element name="date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="time" type="{http://www.w3.org/2001/XMLSchema}time"/>
             <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v3}RequestListType"/>
             <element name="paginationinfo" type="{http://www.ehealth.fgov.be/hubservices/core/v3}Paginationresponseinfo" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseListType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AuthorType`
  `getAuthor()`
  Gets the value of the author property.
  `Instant`
  `getDate()`
  Gets the value of the date property.
  `IDKMEHR`
  `getId()`
  Gets the value of the id property.
  `Paginationresponseinfo`
  `getPaginationinfo()`
  Gets the value of the paginationinfo property.
  `RequestListType`
  `getRequest()`
  Gets the value of the request property.
  `Instant`
  `getTime()`
  Gets the value of the time property.
  `void`
  `setAuthor(AuthorType value)`
  Sets the value of the author property.
  `void`
  `setDate(Instant value)`
  Sets the value of the date property.
  `void`
  `setId(IDKMEHR value)`
  Sets the value of the id property.
  `void`
  `setPaginationinfo(Paginationresponseinfo value)`
  Sets the value of the paginationinfo property.
  `void`
  `setRequest(RequestListType value)`
  Sets the value of the request property.
  `void`
  `setTime(Instant value)`
  Sets the value of the time property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseListType

    public ResponseListType()

- ## Method Details

  - ### getId

    public IDKMEHR getId()
    Gets the value of the id property.
    Returns:
      possible object is `IDKMEHR`

  - ### setId

    public void setId(IDKMEHR value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `IDKMEHR`

  - ### getAuthor

    public AuthorType getAuthor()
    Gets the value of the author property.
    Returns:
      possible object is `AuthorType`

  - ### setAuthor

    public void setAuthor(AuthorType value)
    Sets the value of the author property.
    Parameters:
      `value` - allowed object is `AuthorType`

  - ### getDate

    public Instant getDate()
    Gets the value of the date property.
    Returns:
      possible object is `String`

  - ### setDate

    public void setDate(Instant value)
    Sets the value of the date property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTime

    public Instant getTime()
    Gets the value of the time property.
    Returns:
      possible object is `String`

  - ### setTime

    public void setTime(Instant value)
    Sets the value of the time property.
    Parameters:
      `value` - allowed object is `String`

  - ### getRequest

    public RequestListType getRequest()
    Gets the value of the request property.
    Returns:
      possible object is `RequestListType`

  - ### setRequest

    public void setRequest(RequestListType value)
    Sets the value of the request property.
    Parameters:
      `value` - allowed object is `RequestListType`

  - ### getPaginationinfo

    public Paginationresponseinfo getPaginationinfo()
    Gets the value of the paginationinfo property.
    Returns:
      possible object is `Paginationresponseinfo`

  - ### setPaginationinfo

    public void setPaginationinfo(Paginationresponseinfo value)
    Sets the value of the paginationinfo property.
    Parameters:
      `value` - allowed object is `Paginationresponseinfo`